#  Wednesday - builds are uploaded here: https://dev-builds.libreoffice.org/pre-releases/rpm/x86_64/
#  Thursday - builds are uploaded on mirrors
#  Friday - builds are available via the official pre-release site
# final release is usually announced on Wednesday, few days after the final release candidate is out.
%define name lomanager
Name:           %{name}
Version:        24.2.2
Release:        %mkrel 1
License:        GNU General Public License (GPL)
URL:            https://www.pclinuxos.com/forum/index.php/topic=59009.0.html
Source:         %{name}-%{version}.tar.xz
Source1:        libreoffice.conf
Summary:        Script to install LibreOffice in one of 110 languages
Summary(de):    Skript zur Installation von LibreOffice in einer von 110 Sprachen
Summary(fr):	Script pour installer LibreOffice en 110 langues
Summary(pl):    Program do instalacji/uaktualniania/usuwania LibreOffice
Group:          Office
Requires:	zenity gksu bc awk wget sed wmctrl webcore-fonts curl xdg-utils rootcerts
Requires:	apt apt-common %{_lib}gnome-vfs2_0 python-pillow locales-en libnotify
Requires:   	desktop-common-data >= 2010-11	
Obsoletes:	%name < %version
Obsoletes:      getopenoffice <= 1.8
Provides:       getopenoffice = %version-%release
Provides:	lomanager = %version-%release
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv:    no

%description
To manage LibreOffice start the program lomanager from:
PCmenu -> Software Center -> LibreOffice Manger
and follow the instructions.

The user-friendly and verbose bash-script lomanager automates the management
of LibreOffice (install/update/remove and adding locales).
You now have an easy one-step solution to manage LibreOffice in English 
or in widely spoken languages like Arabic, French, Chinese, Spanish, German,
and even exotic ones like Zulu or Welsh.

%description -l de
Das benutzerfreundliche und verbose bash-Skript lomanager automatisiert das Hinzufügen von
LibreOffice in der Sprache des Benutzers/System-Lokalisierung. Sie haben nun eine einfache
Ein-Schritt-Lösung zur Installation von LibreOffice in Englisch oder anderen Sprachen wie
Arabisch, Französisch, Chinesisch, Spanisch, Deutsch, und sogar Exoten wie Zulu oder Walisisch

%description -l fr
A user-friendly et verbose-script bash lomanager automatise l'ajout de
LibreOffice dans la langue de l'utilisateur / locale dans le système. Vous
avez maintenant une seule étape facile solution pour installer LibreOffice en
français ou en langues de grande diffusion comme l'arabe, français,
chinois, espagnol, allemand, et même exotiques, comme le zoulou ou gallois.

%description -l nl
Een gebruiksvriendelijke en verbose bash-script lomanager automatiseert het toevoegen
LibreOffice in de taal van de gebruiker / locale aan het systeem.
U hebt nu een eenvoudige een-staps oplossing om LibreOffice installeren in het Engels
of in gesproken talen zoals Arabisch, Frans, Chinees, Spaans, Duits,
en zelfs exotische zoals Zulu of Welsh.

%description -l es
Un usuario-bash amable y detallado-script automatiza lomanager añadir
LibreOffice en la lengua del usuario / configuración regional del sistema.
Ahora tiene una fácil solución de paso para instalar LibreOffice en Inglés
o se habla idiomas como el árabe, francés, chino, español, alemán,
y incluso los exóticos como Zulu o el galés.

%description -l it
A user-friendly e verbose bash-script lomanager automatizza l'aggiunta di
LibreOffice nella lingua dell'utente / locale al sistema.
Avete ora un facile soluzione passo per installare LibreOffice in italiano
o parlate in lingue come l'arabo, francese, cinese, spagnolo, tedesco,
e perfino quelli esotici, come Zulu o gallesi.


%description -l pl
Aby zaktualizować/zainstalować LibreOffice klikaj:
PCmenu -> Software Center -> Instalator LibreOffice
a następnie postępuj zgodnie z instrukcjami.
Lomanager to przyjazny dla użytkownika program który automatyzuje 
zarządzanie
LibreOffice (instalacja/aktualizacja/usuwanie i dodawanie języka)
Jest to proste rozwiązanie jednoetapowe do zarządzania LibreOffice w 
kilkunastu językach takich jak:
polski, angielski, arabski, francuski, chiński, hiszpański, niemiecki, 
itp....
a nawet egzotycznych jak Zulu lub walijski.

%description -l sr
Корисника и детаљни-басх-скрипта ГетОпенОффице аутоматизује додавање
ОпенОффице на језику корисника / лоцале систем.
Сада сте једноставно један корак решење да инсталирате ОпенОффице на енглеском
или у широкој употреби језика као што су арапски, француски, кинески, шпански, немачки,
па чак и оних попут егзотичне зулу или велшки.

%prep

%setup -q

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_bindir}
install -m 755 %{name} %{buildroot}/%{_bindir}/%{name}

mkdir -p $RPM_BUILD_ROOT/%_datadir/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Version=1.0
Name=LibreOffice Manager
Name[ar]=LibreOffice مدير
Name[bg]=LibreOffice мениджър
Name[ca]=Gestor del LibreOffice
Name[cs]=LibreOffice manažer
Name[da]=LibreOffice Manager
Name[de]=LibreOffice Manager
Name[el]=Διαχειριστής LibreOffice
Name[es]=Manager de LibreOffice
Name[fi]=LibreOffice johtaja
Name[fr]=Gestionnaire de LibreOffice
Name[it]=LibreOffice Manager
Name[ja]=LibreOfficeマネージャ
Name[nl]=LibreOffice Beheerder
Name[pl]=Instalator LibreOffice
Name[pt]=Manager do LibreOffice
Name[ru]=LibreOffice менеджер
Name[sr]=Менаџер LibreOffice
Name[sv]=LibreOffice chef
Name[tr]=LibreOffice yöneticisi
Name[uk]=LibreOffice менеджер
Name[zh]=LibreOffice经理
GenericName=LibreOffice Manager
Type=Application
Exec=/usr/bin/gksu -l lomanager
Icon=office_section.png
Comment=Install, update, remove or add other LibreOffice languages
Comment[ar]=LibreOffice تثبيت وتحديث وإزالة أو إضافة لغات أخرى 
Comment[bg]=Инсталиране, Премахване на, обновяване или добавяне на локализация за LibreOffice
Comment[ca]=Installar, actualitzar, eliminar o afegir altres idiomes de LibreOffice
Comment[cs]=Instalujte, odstante, aktualizujte nebo pridejte lokalizaci LibreOffice
Comment[da]=Installere, opdatere, fjerne eller tilføje andre LibreOffice sprog
Comment[de]=Installieren, update, entfernen von LibreOffice in verschiedenen Sprachen
Comment[el]=Install, Ολική διαγραφή του, upgrade, ή πρόσθεση LibreOffice locale
Comment[es]=Instalar, desinstalar, actualizar o agregar la localización de LibreOffice
Comment[fi]=Asentaa, päivittää, poistaa tai lisätä muita LibreOffice kielillä
Comment[fr]=Installez, mettre à jour, supprimez LibreOffice dans la langue de votre choix
Comment[it]=Installa, aggiorna, elimina o aggiungi LibreOffice in lingue diverse
Comment[ja]=インストール、更新、削除、または他のLibreOffice言語を追加する
Comment[nl]=Installeren, update, verwijderen van LibreOffice in verschillende talen
Comment[pl]=Install, calkowite usuniecie, upgrade, lub dolacz LibreOffice locale
Comment[pt]=Instalar, remover, upgrade, ou adicionar LibreOffice locale
Comment[ru]=Установка, Полностью удалить, обновление или добавление LibreOffice locale
Comment[sr]=Инсталирајте или ажурирајте LibreнОфис програм на жељеном језику
Comment[sv]=Installera, flytta, uppdatera LibreOffice på ditt språk.
Comment[tr]=Yükleme, güncelleme kaldırmak veya diğer LibreOffice dilleri ekleyin
Comment[uk]=Інсталювати, Видалення, оновити або додати LibreOffice locale
Comment[zh]=安装，更新，删除或添加其他LibreOffice语言
Categories=X-MandrivaLinux-System-Configuration-Packaging
Comment=Manage installation/update/removal and localization of LibreOffice
Terminal=false
StartupNotify=true
EOF


#translations
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/bg/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/ca/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/cs/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/de/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/el/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/es/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/fr/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/it/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/nl/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/pl/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/pt/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/ru/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/sr/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/uk/LC_MESSAGES


install -m 0644 lomanager[bg].mo $RPM_BUILD_ROOT/%_datadir/locale/bg/LC_MESSAGES/lomanager.mo
install -m 0644 lomanager[ca].mo $RPM_BUILD_ROOT/%_datadir/locale/ca/LC_MESSAGES/lomanager.mo
install -m 0644 lomanager[cs].mo $RPM_BUILD_ROOT/%_datadir/locale/cs/LC_MESSAGES/lomanager.mo
install -m 0644 lomanager[de].mo $RPM_BUILD_ROOT/%_datadir/locale/de/LC_MESSAGES/lomanager.mo
install -m 0644 lomanager[el].mo $RPM_BUILD_ROOT/%_datadir/locale/el/LC_MESSAGES/lomanager.mo
install -m 0644 lomanager[es].mo $RPM_BUILD_ROOT/%_datadir/locale/es/LC_MESSAGES/lomanager.mo
install -m 0644 lomanager[fr].mo $RPM_BUILD_ROOT/%_datadir/locale/fr/LC_MESSAGES/lomanager.mo
install -m 0644 lomanager[it].mo $RPM_BUILD_ROOT/%_datadir/locale/it/LC_MESSAGES/lomanager.mo
install -m 0644 lomanager[nl].mo $RPM_BUILD_ROOT/%_datadir/locale/nl/LC_MESSAGES/lomanager.mo
install -m 0644 lomanager[pl].mo $RPM_BUILD_ROOT/%_datadir/locale/pl/LC_MESSAGES/lomanager.mo
install -m 0644 lomanager[pt].mo $RPM_BUILD_ROOT/%_datadir/locale/pt/LC_MESSAGES/lomanager.mo
install -m 0644 lomanager[ru].mo $RPM_BUILD_ROOT/%_datadir/locale/ru/LC_MESSAGES/lomanager.mo
install -m 0644 lomanager[sr].mo $RPM_BUILD_ROOT/%_datadir/locale/sr/LC_MESSAGES/lomanager.mo
install -m 0644 lomanager[uk].mo $RPM_BUILD_ROOT/%_datadir/locale/uk/LC_MESSAGES/lomanager.mo

#help ldconfig find the libs
mkdir -p %{buildroot}/etc/ld.so.conf.d
install -m 644 %SOURCE1 %{buildroot}/etc/ld.so.conf.d/libreoffice.conf

%posttrans
SYSUSER=$(who |cut -d' ' -f1)
su $SYSUSER -c 'notify-send "LibreOffice Manager" "To manage the installation of LibreOffice please run: PCmenu -> Software Center -> LibreOffice Manager" -i /usr/share/icons/office_section.png -t 10000'

/sbin/ldconfig

%files 
%defattr(-, root, root)
%{_bindir}/%{name}
%_datadir/applications/%{name}.desktop
%_datadir/locale/*/LC_MESSAGES/lomanager.mo
/etc/ld.so.conf.d/libreoffice.conf

%changelog
* Tue Mar 26 2024 pp - 24.2.2-1pclos2024
- new version

* Tue Feb 27 2024 pp - 24.2.1-1pclos2024
- new version

* Thu Feb 01 2024 pp - 24.2-1pclos2024
- new version

* Fri Dec 08 2023 pp - 7.6.4-1pclos2023
- new version

* Tue Nov 21 2023 pp - 7.6.3-1pclos2023
- new version

* Fri Sep 29 2023 pp - 7.6.2-2pclos2023
- do not remove kde-integration

* Fri Sep 29 2023 pp - 7.6.2-1pclos2023
- new version

* Fri Sep 08 2023 pp - 7.6.1-1pclos2023
- new version

* Mon Aug 14 2023 pp - 7.6.0-1pclos2023
- new version

* Fri Jul 21 2023 tex - 7.5.5-2pclos2023
- do not run in live mode

* Tue Jul 18 2023 <pp> 7.5.5-1pclos2023
- new version

* Wed Jun 07 2023 <pp> 7.5.4-1pclos2023
- new version

* Sat Apr 29 2023 <pp> 7.5.3-1pclos2023
- new version

* Fri Mar 31 2023 tex - 7.5.2-2pclos2023
- fix welcome screen a little height adjustment
- clean duplicate menu entries in various places

* Tue Mar 28 2023 <pp> 7.5.2-1pclos2023
- new version

* Sat Feb 25 2023 <pp> 7.5.1-1pclos2023
- new version

* Thu Feb 02 2023 <pp> 7.5.0-1pclos2023
- new version

* Mon Oct 31 2022 <pp> 7.4.1-4pclos2022
- hacked version to install 7.3.7

* Sun Sep 25 2022 <pp> 7.4.1-3pclos2022
- full downgrade to 7.3.6

* Sat Sep 17 2022 <pp> 7.4.1-2pclos2022
- hacked  version to install 7.3.6

* Tue Sep 13 2022 <pp> 7.4.1-1pclos2022
- new version

* Sun Aug 14 2022 <pp> 7.4.0-1pclos2022
- new version
- updated Catalan translations

* Wed Jul 20 2022 <pp> 7.3.5-1pclos2022
- new version
- fixed notify-send

* Sat Jun 04 2022 <pp> 7.3.4-1pclos2022
- new version

* Fri Apr 29 2022 <pp> 7.3.3-1pclos2022
- new version

* Thu Mar 24 2022 <pp> 7.3.2-1pclos2022
- new version

* Wed Mar 02 2022 <pp> 7.3.1-1pclos2022
- new version

* Sat Jan 29 2022 <pp> 7.3.0-1pclos2022
- new version

* Fri Dec 31 2021 <pp> 7.2.5-1pclos2022
- update

* Wed Dec 08 2021 <pp> 7.2.4-1pclos2021
- update

* Sun Nov 21 2021 <pp> 7.2.3-1pclos2021
- update

* Sat Oct 09 2021 <pp> 7.2.2-1pclos2021
- update

* Mon Sep 13 2021 <pp> 7.2.1-1pclos2021
- update

* Fri Aug 13 2021 <pp> 7.2.0-1pclos2021
- update

* Tue Jul 20 2021 <pp> 7.1.5-1pclos2021
- update

* Tue Jun 08 2021 <pp> 7.1.4-1pclos2021
- update

* Sun May 02 2021 <pp> 7.1.3-1pclos2021
- update

* Sat Mar 27 2021 <pp> 7.1.2-1pclos2021
- update

* Tue Mar 02 2021 <pp> 7.1.1-1pclos2021
- update

* Sat Jan 30 2021 <pp> 7.1.0-1pclos2021
- update

* Sat Dec 12 2020 <pp> 7.0.4-1pclos2020
- update

* Sat Oct 31 2020 <pp> 7.0.3-1pclos2020
- update

* Fri Sep 02 2020 <pp> 7.0.2-1pclos2020
- update

* Mon Aug 31 2020 pp <pp> 7.0.1-1pclos2020
- removed LO version test
- updated weblinks to https
- update

* Sat Aug 01 2020 pp <pp> 7.0.0-1pclos2020
- update

* Sun Jun 28 2020 pp <pp> 6.4.5-1pclos2020
- update

* Fri May 15 2020 pp <pp> 6.4.4-1pclos2020
- update

* Fri Apr 10 2020 pp <pp> 6.4.3-1pclos2020
- update

* Fri Mar 13 2020 pp <pp> 6.4.2-1pclos2020
- update

* Mon Feb 24 2020 pp <pp> 6.4.1-1pclos2020
- update

* Wed Feb 12 2020 pp <pp> 6.4.0-5pclos2020
- fixed cmd-line output

* Tue Feb 11 2020 pp <pp> 6.4.0-4pclos2020
- updated Polish synaptic sections...

* Thu Feb 10 2020 pp <pp> 6.4.0-3pclos2020
- updated Polish translation yet again...

* Thu Jan 30 2020 pp <pp> 6.4.0-2pclos2020
- updated Polish translation

* Fri Jan 24 2020 pp <pp> 6.4.0-1pclos2020
- update

* Fri Dec 13 2019 pp <pp> 6.3.4-1pclos2019
- update
- updated Catalan translation

* Mon Nov 04 2019 pp <pp> 6.3.3-1pclos2019
- update
- updated Polish translation

* Mon Oct 21 2019 pp <pp> 6.3.2-3pclos2019
- properly updated desktop entries ...

* Sun Oct 20 2019 pp <pp> 6.3.2-2pclos2019
- updated desktop entries

* Fri Sep 20 2019 pp <pp> 6.3.2-1pclos2019
- update

* Mon Sep 02 2019 pp <pp> 6.3.1-1pclos2019
- update

* Tue Aug 06 2019 pp <pp> 6.3.0-1pclos2019
- update
- added clipart upgrade checker in script

* Fri Jun 20 2019 pp <pp> 6.2.5-1pclos2019
- update

* Mon May 20 2019 pp <pp> 6.2.4-1pclos2019
- update

* Fri Apr 12 2019 pp <pp> 6.2.3-1pclos2019
- update

* Sat Apr 06 2019 pp <pp> 6.2.2-3pclos2019
- updated script for new java

* Thu Apr 04 2019 tex 6.2.2-2pclos2019
- help ldconfig file lo libs

* Tue Mar 19 2019 pp <pp> 6.2.2-1pclos2019
- update

* Wed Feb 27 2019 pp <pp> 6.2.1-1pclos2019
- update

* Mon Jan 28 2019 pp <pp> 6.2.0-1pclos2019
- update

* Tue Dec 18 2018 pp <pp> 6.1.4-1pclos2018
- update

* Fri Nov 02 2018 pp <pp> 6.1.3-1pclos2018
- update

* Sat Sep 22 2018 pp <pp> 6.1.2-1pclos2018
- update

* Wed Sep 12 2018 pp <pp> 6.1.1-1pclos2018
- update

* Sat Aug 04 2018 pp <pp> 6.1.0-1pclos2018
- update

* Thu Jun 21 2018 pp <pp> 6.0.5-1pclos2018
- update

* Thu May 10 2018 pp <pp> 6.0.4-1pclos2018
- update

* Sun Apr 01 2018 pp <pp> 6.0.3-1pclos2018
- update

* Sat Feb 24 2018 pp <pp> 6.0.2-1pclos2018
- update

* Fri Feb 09 2018 pp <pp> 6.0.1-1pclos2018
- update
- update Catalan translations

* Sat Jan 27 2018 pp <pp> 6.0.0-1pclos2018
- update
- fixed version check

* Wed Dec 13 2017 pp <pp> 5.4.4-1pclos2017
- update

* Tue Nov 07 2017 pp <pp> 5.4.3-1pclos2017
- update

* Mon Oct 02 2017 pp <pp> 5.4.2-1pclos2017
- update

* Sun Aug 27 2017 pp <pp> 5.4.1-1pclos2017
- update

* Wed Aug 02 2017 pp <pp> 5.4.0-2pclos2017
- updated buildID

* Sun Jul 23 2017 pp <pp> 5.4.0-1pclos2017
- update

* Tue Jun 20 2017 pp <pp> 5.3.4-1pclos2017
- update

* Fri May 05 2017 pp <pp> 5.3.3-1pclos2017
- update
- added Catalan translations

* Fri Mar 31 2017 pp <pp> 5.3.2-1pclos2017
- update

* Sat Mar 18 2017 pp <pp> 5.3.1-2pclos2017
- hardcoded nluug download mirror

* Sat Mar 11 2017 pp <pp> 5.3.1-1pclos2017
- update

* Sat Feb 11 2017 pp <pp> 5.3.0-3pclos2017
- fix to have final window appear

* Thu Feb 02 2017 pp <pp> 5.3.0-2pclos2017
- trimmed down and added info windows

* Tue Jan 31 2017 pp <pp> 5.3.0-1pclos2017
- update

* Sat Jan 28 2017 pp <pp> 5.2.5-1pclos2017
- update

* Tue Dec 20 2016 woodhead <pp> 5.2.4-1pclos2017
- update

* Sat Oct 29 2016 woodhead <pp> 5.2.3-1pclos2016
- update

* Fri Sep 22 2016 woodhead <pp> 5.2.2-1pclos2016
- update

* Fri Aug 26 2016 woodhead <pp> 5.2.1-1pclos2016
- update

* Mon Aug 01 2016 woodhead <pp> 5.2.0-1pclos2016
- update

* Thu Jun 16 2016 woodhead <pp> 5.1.4-1pclos2016
- update

* Thu May 05 2016 woodhead <pp> 5.1.3-1pclos2016
- update

* Sun Apr 03 2016 woodhead <pp> 5.1.2-1pclos2016
- update

* Thu Mar 03 2016 woodhead <pp> 5.1.1-1pclos2016
- update

